<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷员设置</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
    <link rel="stylesheet" href="${ctxStatic}/common/typica-login.css">
	<style type="text/css">
		.control-group{border-bottom:0px;}
	</style>
    <script src="${ctxStatic}/common/backstretch.min.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {
			<!--针对nw.js评卷客户端，自动窗口最大化-->
			try{
				require('nw.gui').Window.get().maximize();
			}catch(e){
			}

			$.backstretch([
 		      "${ctxStatic}/images/bg1.jpg", 
 		      "${ctxStatic}/images/bg2.jpg",
 		      "${ctxStatic}/images/bg3.jpg"
 		  	], {duration: 10000, fade: 2000});

			$('#submit-button').click(function(){
				var name = $('#name').val();
				if(name==''){
					showError('请输入姓名');
					return false;
				}
				if(name.length>6){
					showError('姓名长度不应超过6个字');
					return false;
				}

				var password = $('#password').val();
				var password2 = $('#password2').val();
				if(password==''){
					showError('请输入密码');
					return false;
				}
				if(password.length<4){
					showError('密码长度最少4位数');
					return false;
				}
				if(password!=password2){
					showError('两次密码输入内容不一致');
					return false;
				}
				return true;
			});
		});
		// 如果在框架中，则跳转刷新上级页面
		if(self.frameElement && self.frameElement.tagName=="IFRAME"){
			parent.location.reload();
		}

		function showError(message){
			$('#messageBox').show();
			$('#error').html(message);
		}
	</script>
</head>
<body>
    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a class="brand" href="${ctx}"><img src="${ctxStatic}/images/logo.png" alt="" style="height:40px;"></a>
        </div>
      </div>
    </div>

    <div class="container">
		<!--[if lte IE 6]><br/><div class='alert alert-block' style="text-align:left;padding-bottom:10px;"><a class="close" data-dismiss="alert">x</a><h4>温馨提示：</h4><p>你使用的浏览器版本过低。为了获得更好的浏览体验，我们强烈建议您 <a href="http://browsehappy.com" target="_blank">升级</a> 到最新版本的IE浏览器，或者使用较新版本的 Chrome、Firefox、Safari 等。</p></div><![endif]-->
		<div id="messageBox" class="alert alert-error <c:if test="${message == null }">hide</c:if>">
			<label id="error" class="error">${message}</label>
		</div>
        <div id="login-wraper">
            <form class="form login-form" action="${ctx}/mark/reset" method="post">
                <legend><span style="color:#033249;font-size:22px">首次登陆，请修改姓名密码</span></legend>
                <div class="body">
					<div class="control-group">
						<div class="controls">
							<input type="text" id="name" name="name" placeholder="请输入姓名">
						</div>
					</div>
					
					<div class="control-group">
						<div class="controls">
							<input type="password" id="password" name="password" placeholder="请输入密码"/>
						</div>
					</div>
					
					<div class="control-group">
						<div class="controls">
							<input type="password" id="password2" class="required" placeholder="再次输入密码"/>
						</div>
					</div>
                </div>
                <div class="footer">
                    <input class="btn btn-primary" type="submit" id="submit-button" value="确 定"/>
                    <a href="${ctx}/mark-logout" class="btn">退 出</a>
                </div>
            </form>
        </div>
    </div>
    <footer class="white navbar-fixed-bottom">
		Copyright &copy;武汉启明软件 2012-2014
    </footer>
  </body>
</html>